Package org.opensaml.saml.common.profile.logic

# Class DefaultNameIDPolicyPredicate

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.saml.common.profile.logic.AbstractNameIDPolicyPredicate
org.opensaml.saml.common.profile.logic.DefaultNameIDPolicyPredicate

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`, `Component`, `DestructableComponent`, `InitializableComponent`

Direct Known Subclasses:
  `AffiliationNameIDPolicyPredicate`

public class DefaultNameIDPolicyPredicate extends AbstractNameIDPolicyPredicate
Policy that requires that qualifiers, if set, match the requester and responder.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`DefaultNameIDPolicyPredicate()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`doApply(String requesterId, String responderId, String format, String nameQualifier, String spNameQualifier)`
Apply the predicate to the request.

### Methods inherited from class org.opensaml.saml.common.profile.logic.AbstractNameIDPolicyPredicate

`doInitialize, setFormats, setObjectLookupStrategy, setRequesterIdLookupStrategy, setResponderIdLookupStrategy, test`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### DefaultNameIDPolicyPredicate

public DefaultNameIDPolicyPredicate()

## Method Details

### doApply

protected boolean doApply(@Nullable String requesterId, @Nullable String responderId, @Nullable String format, @Nullable String nameQualifier, @Nullable String spNameQualifier)
Apply the predicate to the request.

Specified by:
  `doApply` in class `AbstractNameIDPolicyPredicate`
Parameters:
  `requesterId` - the requester
  `responderId` - the responder
  `format` - format of identifier
  `nameQualifier` - the NameQualifier
  `spNameQualifier` - the SPNameQualifier
Returns:
  true iff the combination of inputs satisfies a policy